Subject: bug#46844: guile2.2-bytestructures fails to compile.

From: Maxime Devos <[email-masked]>
Date: Fri, 05 Mar 2021 16:36:38 +0100

On Wed, 2021-03-03 at 15:56 +0100, Taylan Kammer wrote:
> On 01.03.2021 15:47, Taylan Kammer wrote:
> [...]
> I haven't yet updated the Guix package for bytestructures.  I'm quite
> out of the loop and don't remember which branch that should be pushed,
> given it's a dependency of Guix and all.  Is it always safe to push to
> master?  (With regard to rebuilding the whole world.)

Let's see what would be rebuilt:

$ guix refresh --list-dependent guile-bytestructures guile2.0-bytestructures guile2.2-bytestructures

Building the following 15 packages would ensure 19 dependent packages are rebuilt: [email-masked] [email-masked] 
[email-masked] [email-masked] [email-masked] [email-masked] [email-masked] 
[email-masked] [email-masked] [email-masked] [email-masked] [email-masked] 
[email-masked] [email-masked] [email-masked]

I suggest you run "./pre-inst-env guix build guix" first to make sure guix can still
be built, but otherwise there shouldn't be any issue with pushing to master.

Maxime.